DeleteAgentRuntime
Deletes an Amazon Bedrock AgentCore Runtime, or a single version of an AgentCore Runtime when you provide the version qualifier.
Request Syntax
DELETE /runtimes/agentRuntimeId/?clientToken=clientToken&version=agentRuntimeVersion HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- agentRuntimeId
-
The unique identifier of the AgentCore Runtime to delete.
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,99}-[a-zA-Z0-9]{10}Required: Yes
- agentRuntimeVersion
-
The version of the AgentCore Runtime to delete. When you provide this value, only that version is deleted. When you omit it, the entire AgentCore Runtime and all of its versions are deleted.
Length Constraints: Minimum length of 1. Maximum length of 5.
Pattern:
([1-9][0-9]{0,4}) - clientToken
-
A unique, case-sensitive identifier to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request but does not return an error.
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"agentRuntimeId": "string",
"agentRuntimeVersion": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
- agentRuntimeId
-
The unique identifier of the AgentCore Runtime.
Type: String
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,99}-[a-zA-Z0-9]{10} - agentRuntimeVersion
-
The version of the AgentCore Runtime that was deleted. This value is present only when you delete a single version.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 5.
Pattern:
([1-9][0-9]{0,4}) - status
-
The current status of the AgentCore Runtime deletion.
Type: String
Valid Values:
CREATING | CREATE_FAILED | UPDATING | UPDATE_FAILED | READY | DELETING
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ResourceNotFoundException
-
This exception is thrown when a resource referenced by the operation does not exist
HTTP Status Code: 404
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: